import { ComponentInterface, EventEmitter } from "../../../stencil-public-runtime";
import { FireEnjinTriggerInput } from "@fireenjin/sdk";
import { User, Job } from "../../../sdk";
export declare class AppJobList implements ComponentInterface {
  mapEl: any;
  api: any;
  actionOptions: any;
  fireenjinTrigger: EventEmitter<FireEnjinTriggerInput>;
  userId: string;
  user: Partial<User>;
  jobs: Job[];
  query: string;
  paginationEl: any;
  selectedIds: string[];
  selectedJobs: Partial<Job>[];
  selectAll: boolean;
  fetchData: any;
  showMap: boolean;
  onSearchInput(event: any): void;
  onSuccess(event: any): Promise<void>;
  toggleSelect(event: any, job: Partial<Job>): void;
  toggleSelectAll(): void;
  componentWillLoad(): void;
  render(): any[];
}
